# std::__basic_file< char > Class Template Reference

List of all members.

## Detailed Description

### template<>
class std::__basic_file< char >

Definition at line 56 of file basic_file.h.

## Public Member Functions

- __basic_file (__c_lock *__lock=0)
- __basic_file * close ()
- int fd ()
- __c_file * file ()
- bool is_open () const
- __basic_file * open (const char *__name, ios_base::openmode __mode, int __prot=0664)
- streamoff seekoff (streamoff __off, ios_base::seekdir __way)
- streamsize showmanyc ()
- int sync ()
- __basic_file * sys_open (int __fd, ios_base::openmode __mode)
- __basic_file * sys_open (__c_file *__file, ios_base::openmode)
- streamsize xsgetn (char *__s, streamsize __n)
- streamsize xsputn (const char *__s, streamsize __n)
- streamsize xsputn_2 (const char *__s1, streamsize __n1, const char *__s2, streamsize __n2)

The documentation for this class was generated from the following file:

- basic_file.h